Skip to main content
`Ctrl`+`K`

# DMPlexComputeIntegralFEM

Form the integral over the domain from the global input X using pointwise functions specified by the user

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeIntegralFEM(DM dm, Vec X, PetscScalar *integral, void *user)

## Input Parameters

- dm - The mesh

- X - Global input vector

- user - The user context

## Output Parameter

- integral - Integral for each field

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexSNESComputeResidualFEM()`

## Level

developer

## Location

src/dm/impls/plex/plexfem.c

## Examples

src/snes/tutorials/ex69.c
src/ts/tutorials/ex30.c
src/ts/utils/dmplexlandau/tutorials/ex1.c
src/ts/tutorials/ex48.c
src/ts/utils/dmplexlandau/tutorials/ex2.c
src/snes/tutorials/ex11.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages